Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Sirius » Runtime no longer opens .odesigns from newer specification version
Runtime no longer opens .odesigns from newer specification version [message #1767470] Thu, 06 July 2017 09:38 Go to next message
Felix Dorner is currently offline Felix DornerFriend
Messages: 369
Registered: December 2015
Senior Member
Hi, I think since the Capella 1.1.x development platform switched to Sirius 4.1.6, I can no longer open existing diagrams. The editor opens, but shows a message that the .odesign cannot be loaded because it was created with a newer vsm version. Are you sure this is a good idea to implement this in a patch version? At least all my .odesign files will need to be re-deployed with a version attribute that matches what is expected by the runtime. I am aware of the risks, but I'd rather like to disable this check and fail more spectacularly if the .odesign model cannot be loaded (which shouldn't be the case, since it worked before this patch too..)


Re: Runtime no longer opens .odesigns from newer specification version [message #1767473 is a reply to message #1767470] Thu, 06 July 2017 10:01 Go to previous message
Felix Dorner is currently offline Felix DornerFriend
Messages: 369
Registered: December 2015
Senior Member
Looks like this is https://bugs.eclipse.org/bugs/show_bug.cgi?id=481846 so that was available before.. Maybe it is capella that has changed something.. I have to investigate.
Previous Topic:Define Java services when the selected node
Next Topic:Prompting user for textual input
Goto Forum:
  


Current Time: Tue Jan 19 06:43:40 GMT 2021

Powered by FUDForum. Page generated in 0.01932 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top